# ---------------------------------------------------------------------------
# CreateDomains.py
# Created on: Wed May 05 2010 12:06:03 PM
#   (generated by ArcGIS/ModelBuilder)
#   Edited by Jeff Hamblin to use relative paths
# Usage: CreateDomains <Input_Workspace>
# ---------------------------------------------------------------------------

# Import system modules
import sys, string, os, arcgisscripting

# Create the Geoprocessor object
gp = arcgisscripting.create()

# Script arguments...
Input_Workspace = sys.argv[1]

Output_Workspace = Input_Workspace 

# Set table paths
ShieldType_Values_Table = Input_Workspace + "/DomTbl_ShieldType"   
DirType_Values_Table = Input_Workspace + "/DomTbl_DirType"   

# Load required toolboxes...
gp.AddToolbox(Input_Workspace + "/RoadsTools")

# Local variables...  
gp.toolbox = Input_Workspace + "/RoadsTools";

# Process: Table To ShieldType Domain...
gp.TableToDomain_management(ShieldType_Values_Table, "Code", "Description", Input_Workspace, "ShieldTypes", "Provides valid values and description for road shields", "REPLACE")   

# Process: Table To DirType Domain...
gp.TableToDomain_management(DirType_Values_Table, "Code", "Description", Input_Workspace, "DirTypes", "Provides valid values and description for road direction", "REPLACE")

